%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Summary: 	PEAR: Miscellaneous HTTP utilities
Name: 		php-pear-HTTP
Version: 	1.4.0
Release: 	2%{?dist}
License: 	PHP License
Group: 		Development/Libraries
Source: 	http://pear.php.net/get/HTTP-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-root
URL: 		http://pear.php.net/package/HTTP
Prefix: 	%{_prefix}
Provides: 	php-pear(HTTP) = %{version}
Requires: 	php-pear(PEAR), php >= 4.0.6
BuildArchitectures: noarch

%description
The HTTP class is a class with static methods for doing 
miscellaneous HTTP related stuff like date formatting,
language negotiation or HTTP redirection.
 

%prep
rm -rf %{buildroot}
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build
echo BuildRoot=%{buildroot}

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps  --packagingroot %{buildroot} %{SOURCE0}

rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}/%{peardir}/.channels
rm %{buildroot}/%{peardir}/.depdb
rm %{buildroot}/%{peardir}/.depdblock

mkdir -p %{buildroot}%{_libdir}/php/pear
tar -xzf $RPM_SOURCE_DIR/HTTP-%{version}.tgz package.xml
cp -p package.xml %{buildroot}%{_libdir}/php/pear/HTTP.xml

lst=$(find %{buildroot}%{peardir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{_libdir}/php/pear/HTTP.xml  >/dev/null

%postun
# if refcount = 0 then package has been removed (not upgraded)
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only HTTP  >/dev/null
fi


%files
    %defattr(-,root,root)
    %{peardir}/HTTP.php
    %{_libdir}/php/pear/HTTP.xml

%changelog
* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.4.0-2.fc{3,4,5}.remi
- change /var/lib/pear to %{_libdir}/php/pear for XML (as in extras for FC5)
- spec cleanning

* Sat Jan  7 2006 Remi Collet <remi.collet@univ-reims.fr> 1.4.0-1.fc{3,4}.remi
- initial RPM
